aboutsummaryrefslogtreecommitdiffstats
path: root/Tools/portbuild
diff options
context:
space:
mode:
authorasami <asami@FreeBSD.org>1999-06-22 14:41:39 +0800
committerasami <asami@FreeBSD.org>1999-06-22 14:41:39 +0800
commitdb214e395ed16f36edbd8644ddc649c7da5bb309 (patch)
tree604ce29b0ae5bf1df15c47656afa768f309a8404 /Tools/portbuild
parent7007107d7da10d6b007ef301e5a9628edbdb72dd (diff)
downloadfreebsd-ports-gnome-db214e395ed16f36edbd8644ddc649c7da5bb309.tar.gz
freebsd-ports-gnome-db214e395ed16f36edbd8644ddc649c7da5bb309.tar.zst
freebsd-ports-gnome-db214e395ed16f36edbd8644ddc649c7da5bb309.zip
Setup a client machine. Unmounts all read-only mounts that looks like
portbuild temporary mounts, deletes all the chroot dirs and copies the portbuild script and the correct bindist tarball.
Diffstat (limited to 'Tools/portbuild')
-rwxr-xr-xTools/portbuild/scripts/setupnode11
1 files changed, 11 insertions, 0 deletions
diff --git a/Tools/portbuild/scripts/setupnode b/Tools/portbuild/scripts/setupnode
new file mode 100755
index 000000000000..72dcb01908de
--- /dev/null
+++ b/Tools/portbuild/scripts/setupnode
@@ -0,0 +1,11 @@
+#!/bin/sh
+if [ $# != 3 ]; then
+ echo "usage: $0 master portbuilddir branch"
+ exit 1
+fi
+if [ $(echo $(/sbin/mount | grep "$2/.*(read-only)" | awk '{print $3}' | wc -c)) != 0 ]; then
+ /sbin/umount -f $(/sbin/mount | grep "$2/.*(read-only)" | awk '{print $3}')
+fi
+rm -rf $2/*/chroot/*
+scp -p -a $1:$2/scripts/portbuild $2/scripts
+scp -p -a $1:$2/$3/tarballs/bindist.tar $2/$3/tarballs